local cluster = ui.MediaPlayer()
cluster:setSource('./assets/a.mp4'):setAutoPlay(true):setUpdatePeriod(0.016):setLooping(true)
local clustervideosize
local clusterposition = vec2(100, 60)

function update(dt)
    clustervideosize = cluster:resolution()/1.1
            display.rect {
            pos = vec2(20, 20),
            size = vec2(3024, 2024),
            color = rgbm(0, 0, 0, 1)
        }
    ui.drawImage("./assets/no_hesi.png", clusterposition, vec2(clusterposition.x+clustervideosize.x, clusterposition.y+clustervideosize.y))
    
    if car.speedKmh < 50 then
        ac.setExtraSwitch(0, false)
        display.rect {
            pos = vec2(11, 0),
            size = vec2(2224, 2024),
            color = rgbm(0, 0, 0, 1)
        }
        ui.drawImage(cluster, clusterposition, vec2(clusterposition.x+clustervideosize.x, clusterposition.y+clustervideosize.y))
    else
        ac.setExtraSwitch(0, true)
    end
end